import React, {useState} from 'react'; 


function GroceryList () { 
    const [list, setList] = useState([])
    const [item, setItem] = useState("")
    const [check, setCheck] = useState([])

    const updateItem = (e) => setItem(e.target.value); 

    const handleSubmit = () => { 
        const newList = [...list, item]
        setList(newList)
    }

    console.log("LIST     ", list)
    console.log(item)

    return (
        <div>
            <h1>Grocery List</h1>
            <form onSubmit={handleSubmit}>
                <input type="text" placeholder="Input" value={item} onChange={updateItem}  >
                </input>

                <button type="submit">Add Item</button>
            </form>
        </div>
    )
}

export default GroceryList;